[mypy]
# Kept as seperate config file as some plugins don't support pyproject.toml
# (e.g pydantic.mypy)
# https://mypy.readthedocs.io/en/stable/config_file.html
plugins = pydantic.mypy
python_version = 3.6
strict = True
warn_unreachable = True
warn_unused_configs = True
ignore_missing_imports = False
disallow_subclassing_any = False
explicit_package_bases = True
namespace_packages = True
mypy_path = src
